# Change log
All notable changes to this project will be documented in this file.
 
The format is based on '[Keep a Changelog](http://keepachangelog.com/)'
and this project adheres to [semantic versioning](http://semver.org/).

## [2.0.0] — 2020-11-10

### Added
- Updating moment estimators in small batches (see `MonteCarloIndex.eventGroupSize`) (MR !15).
- Asynchronous algorithms for single- and multi-level Monte Carlo methods (MR !16)
- Estimation of 'combined' expectation (time and events) for random processes (MR !19)
- Support for multi-valued (e.g. vectors) random variables (issue #31, MR !36)
- Estimation of moments of order 3 and 4, with a posteriori estimation of statistical error (MR !36)
- Examples, both built-in and using Kratos as external solver (MR !38)
- Test cases
- README (MR !33)
- Changelog (MR !42)
- New features of the Kratos interface:
  - different meshing strategies (support distributed environments)
  - write to file in distributed environments

### Changed
- Documentation re-created anew, from docstrings (MR !31, !32, !41)
- The choice of framework for distributed computing is contained in a single module definition (issue #30, MR !30) 

### Fixed
- Excessive memory usage in case of high number of estimators (MR !23).

### Deprecated
∅

### Removed
∅

 
## [1.0.0] — 2019-05-31
 
Initial release.
 
### Added
- Single- and multi-level Monte Carlo estimation of expectation and variance of real-valued random variable
- Adaptivity of number of samples and levels based on a posteriori error estimators
- Stopping criterion based on a posteriori error estimators
- Interface with external solver: Kratos
- Parallelisation using the Python interface common to COMPSs and HyperLoom
